Depuis Lundi dernier, 7 Avril 2014, la version 2.6 de Virtuemart a été mise à disposition au téléchargement public. La version 3.0, tant attendue, sera elle disponible plus tard mais sans date précise de lancement.

Virtuemart 2.6 peut être téléchargé dans une version Full Installer (incluant Joomla 2.5.19 et Virtuemart 2.6) en cliquant ici.

Côté technique, il est nécessaire d'avoir PHP5.3.10 sur votre serveur pour pouvoir faire tourner Virtuemart sur votre site Joomla.

 

Parmi les nouvelles évolutions, nous pouvons noter que certaines fonctionnalités qui étaient auparavant disponibles via des modules ou composants tiers (type 3rd party) ont désormais été intégrés de base. Comme par exemple la possibilité de choisir quels emails nous sont envoyés, afin de ne plus se sentir spammé par sa propre boutique comme c'était le cas dans la version précédente. En effet, avec Virtuemart 1, le commerçant recevait un email lors d'une création de compte, puis lors d'une nouvelle commande puis à chaque changement de statut.

Lors du développement de Vituemart 2.1, parfois appelé VM2.1, il avait été noté certains changements dans l'API alors que VM2.0 nécessitait du temps de travail pour corriger certaines failles de sécurité. Le lancement de Virtuemart 2.1 avait donc été retardé afin de pouvoir travailler sur une version améliorée de VM2.0. Cependant, certains développeurs avaient déjà travaillé sur des améliorations de la version 2.1, il a donc fallu mettre au point une rétro-compatibilité entre les versions 2.0 et 2.1.

La version 3.x de Joomla étant maintenant opérationnelle et comportant ses propres changements dans son API, les développeurs ont donc remplacé des fonctions de Joomla, comme par exemple JText et vmText. Virtuemart 2.6 a donc été lancé afin de permettre aux développeurs d'extensions tiers d'avoir accès à une version compatible Virtuemart 2.0 et 3.0 en même temps.

3 points majeurs sont donc à retenir pour les techniciens Joomla :

- VM 2.1 est donc maintenant entièrement synchronisé avec VM 2.6 qui deviendra Virtuemart 3.

- Pour les développeurs, la version à utiliser est la 2.9, la série des 2.0 s'arrête donc avec la 2.6.x

- Virtuemart 3 est la seule version compatible avec Joomla 2.5 et 3.2.

 Virtuemart est donc bien à jour et les développeurs vont pouvoir se concentrer sur un lancement rapide de Virtuemart 3.

Pour les moins techniques d'entre nous, 2 points majeurs :

- la version 2.6 fait l'intérim entre VM2 et VM3, ce qui veut dire qu'il y a des nouvelles fonctionnalités, pas de changement dans l'API mais seulement compatible avec Joomla 2.5

- la version 3 qui arrive très bientôt, est compatible avec Joomla 2.5 et Joomla 3 mais comprend des changements dans l'API (surtout sur les champs personnalisables)

Share this:
params->get('copyright')); */?>